export declare class ClientCookieManager {
    private cookie;
    /**
     * @returns {number} - The amount of cookies.
     */
    amount(): number;
    setltoken(ltoken: string): void;
    setltuid(ltuid: string): void;
    /**
     * @description Get the ltoken and ltuid for request.
     * @returns {Object} - The ltoken and ltuid.
     */
    get(): {
        ltoken: string;
        ltuid: string;
        key: number;
        cookie: string;
    };
    /**
     * @param key - The key to remove.
     */
    delete(key: number): void;
    clear(): void;
    getAll(): {
        [key: string]: {
            ltoken: string;
            ltuid: string;
        };
    };
}
