"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GameRecordCard = void 0;
const request_1 = require("../utils/request");
const error_1 = require("../utils/error");
const base_1 = require("./base");
class GameRecordCard extends base_1.BaseRoute {
    constructor(clientCache) {
        super(clientCache);
    }
    /**
     * @param {string} uid Hoyolab uid
     * @param {Language} language The language to set
     * @param {string} cookie The cookie to set
     */
    async fetch(uid, language, cookie) {
        const instance = new request_1.request({
            type: request_1.urlOption.hoyolab,
        });
        instance.setLanguage(language);
        const res = await instance.get("getGameRecordCard", {
            Cookie: cookie,
        }, {
            uid: uid,
        });
        if (res.retcode === 0) {
            const { data } = res;
            if (this.clientCache) {
                this.clientCache.set(`${uid}-recordCard`, data);
            }
            return {
                list: data,
                currecnt: data.list[0],
            };
        }
        throw new error_1.APIError(res.message, res.retcode);
    }
}
exports.GameRecordCard = GameRecordCard;
